Bug 1015589 - asking to deploy a bundle as rhqadmin results in weird "you can't assign to groups" error
asking to deploy a bundle as rhqadmin results in weird "you can't assign to g...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.9
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.10
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 10:41 EDT by John Mazzitelli
Modified: 2014-04-23 08:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:31:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
video to show the bug (161.73 KB, video/ogg)
2013-10-04 10:41 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2013-10-04 10:41:29 EDT
Created attachment 807722 [details]
video to show the bug

Just look at the attached video to see the problem. I want to deploy a bundle, without selecting any bundle in the list, I click Deploy, choose the bundle I want, but I get an error saying I don't have perms to assign to a group (weird - I didn't ask to assign to a group, I asked to deploy - in any event, I'm rhqadmin with all permissions)
Comment 1 Jay Shaughnessy 2013-10-07 12:27:16 EDT
master commit 511dbbd4f9295fcdb55d9f04c62af747114435b8
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Mon Oct 7 12:25:16 2013 -0400

Remove the unnecessary code-path allowing the bundle to be selected in
the wizard.  It was using the wrong selector widget and we don't currently
have a widget that would make it work.  It's actually easier and safer to select
the bundle from the bundles list view or the bundle detail view, where the
permission check is already performed.
Comment 2 Heiko W. Rupp 2014-04-23 08:31:39 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.